Package org.eclipse.rdf4j.query.resultio

## Class AbstractQueryResultIOTupleTest

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOTest
  - - org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOTupleTest

-     public abstract class AbstractQueryResultIOTupleTest
      extends AbstractQueryResultIOTest

  Abstract test for QueryResultIO.
  Author:
    jeen, Peter Ansell

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractQueryResultIOTupleTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected QueryResultFormat` | `getFormat()` |
    `protected abstract BooleanQueryResultFormat` | `getMatchingBooleanFormatOrNull()` |
    `protected abstract TupleQueryResultFormat` | `getTupleFormat()` |
    `void` | `testMultipleExceptionHandleSolutionBeforeStartQueryResult()` |
    `void` | `testMultipleLinksNoResults()` |
    `void` | `testMultipleLinksWithResults()` |
    `void` | `testMultipleLinksWithResultsAndStylesheet()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetAndNamespaces()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetAndNamespacesQName()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetAndNamespacesQNameWithEmpty()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetAndNamespacesWithEmpty()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetMultipleEndHeaders()` |
    `void` | `testMultipleLinksWithResultsAndStylesheetNoStarts()` |
    `void` | `testMultipleResultsAndStylesheet()` |
    `void` | `testMultipleResultsJSONPCallback()` |
    `void` | `testNoHandlerNoResults()` |
    `void` | `testNoHandlerWithResults()` |
    `void` | `testNoLinksNoResults()` |
    `void` | `testNoLinksWithResults()` |
    `void` | `testNoResultsAndStylesheet()` |
    `void` | `testNoResultsExceptionHandleSolutionBeforeStartQueryResult()` |
    `void` | `testNoResultsJSONPCallback()` |
    `void` | `testOneLinkNoResults()` |
    `void` | `testOneLinkWithResults()` |
    `void` | `testRDFStarCompatibility()` |
    `void` | `testSPARQLResultFormatMultipleBindingsMultipleBindingSets()` |
    `void` | `testSPARQLResultFormatNoResults()` |
    `void` | `testSPARQLResultFormatSingleVarMultipleBindingSets()` |
    `void` | `testTupleParseNoHandlerOnBooleanResults()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultIOTest

      `assertQueryResultsEqual, createTupleMultipleBindingSets, createTupleNoBindingSets, createTupleSingleVarMultipleBindingSets, doBooleanLinks, doBooleanLinksAndStylesheet, doBooleanLinksAndStylesheetAndNamespaces, doBooleanLinksOnly, doBooleanNoHandler, doBooleanNoLinks, doBooleanParseNoHandlerOnTupleResults, doBooleanStylesheet, doInvalidBooleanAfterStartQueryResult, doTupleJSONPCallback, doTupleLinks, doTupleLinksAndStylesheet, doTupleLinksAndStylesheetAndNamespaces, doTupleLinksAndStylesheetAndNamespacesQName, doTupleLinksAndStylesheetMultipleEndHeaders, doTupleLinksAndStylesheetNoStarts, doTupleMissingStartQueryResult, doTupleNoHandler, doTupleNoLinks, doTupleParseNoHandlerOnBooleanResults, doTupleStylesheet, getFileName, getNamespaces, getNamespacesWithEmpty, parseTupleInternal, testGetParserFormatForFileNameString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQueryResultIOTupleTest

          public AbstractQueryResultIOTupleTest()

  - ### Method Detail

    - #### getFormat

          protected final QueryResultFormat getFormat()

      Specified by:
        `getFormat` in class `AbstractQueryResultIOTest`

    - #### getTupleFormat

          protected abstract TupleQueryResultFormat getTupleFormat()

      Returns:
        The `TupleQueryResultFormat` that this test is running against.

    - #### getMatchingBooleanFormatOrNull

          protected abstract BooleanQueryResultFormat getMatchingBooleanFormatOrNull()

      Returns:
        The `BooleanQueryResultFormat` that may be parsed by the same parser as the one for `getTupleFormat()`, or null if this functionality is not supported.

    - #### testSPARQLResultFormatSingleVarMultipleBindingSets

          @Test
          public final void testSPARQLResultFormatSingleVarMultipleBindingSets()
                                                                        throws Exception

      Throws:
        `Exception`

    - #### testSPARQLResultFormatMultipleBindingsMultipleBindingSets

          @Test
          public final void testSPARQLResultFormatMultipleBindingsMultipleBindingSets()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### testSPARQLResultFormatNoResults

          @Test
          public final void testSPARQLResultFormatNoResults()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testNoHandlerNoResults

          @Test
          public final void testNoHandlerNoResults()
                                            throws Exception

      Throws:
        `Exception`

    - #### testNoHandlerWithResults

          @Test
          public final void testNoHandlerWithResults()
                                              throws Exception

      Throws:
        `Exception`

    - #### testTupleParseNoHandlerOnBooleanResults

          @Test
          public final void testTupleParseNoHandlerOnBooleanResults()
                                                             throws Exception

      Throws:
        `Exception`

    - #### testNoLinksNoResults

          @Test
          public final void testNoLinksNoResults()
                                          throws Exception

      Throws:
        `Exception`

    - #### testNoLinksWithResults

          @Test
          public final void testNoLinksWithResults()
                                            throws Exception

      Throws:
        `Exception`

    - #### testOneLinkNoResults

          @Test
          public final void testOneLinkNoResults()
                                          throws Exception

      Throws:
        `Exception`

    - #### testOneLinkWithResults

          @Test
          public final void testOneLinkWithResults()
                                            throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksNoResults

          @Test
          public final void testMultipleLinksNoResults()
                                                throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResults

          @Test
          public final void testMultipleLinksWithResults()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheet

          @Test
          public final void testMultipleLinksWithResultsAndStylesheet()
                                                               throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetAndNamespaces

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetAndNamespaces()
                                                                            throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetAndNamespacesQName

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetAndNamespacesQName()
                                                                                 throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetAndNamespacesWithEmpty

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetAndNamespacesWithEmpty()
                                                                                     throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetAndNamespacesQNameWithEmpty

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetAndNamespacesQNameWithEmpty()
                                                                                          throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetNoStarts

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetNoStarts()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### testMultipleLinksWithResultsAndStylesheetMultipleEndHeaders

          @Test
          public final void testMultipleLinksWithResultsAndStylesheetMultipleEndHeaders()
                                                                                 throws Exception

      Throws:
        `Exception`

    - #### testNoResultsAndStylesheet

          @Test
          public final void testNoResultsAndStylesheet()
                                                throws Exception

      Throws:
        `Exception`

    - #### testMultipleResultsAndStylesheet

          @Test
          public final void testMultipleResultsAndStylesheet()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testMultipleResultsJSONPCallback

          @Test
          public final void testMultipleResultsJSONPCallback()
                                                      throws Exception

      Throws:
        `Exception`

    - #### testNoResultsJSONPCallback

          @Test
          public final void testNoResultsJSONPCallback()
                                                throws Exception

      Throws:
        `Exception`

    - #### testNoResultsExceptionHandleSolutionBeforeStartQueryResult

          @Test
          public final void testNoResultsExceptionHandleSolutionBeforeStartQueryResult()
                                                                                throws Exception

      Throws:
        `Exception`

    - #### testMultipleExceptionHandleSolutionBeforeStartQueryResult

          @Test
          public final void testMultipleExceptionHandleSolutionBeforeStartQueryResult()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### testRDFStarCompatibility

          @Test
          public final void testRDFStarCompatibility()
                                              throws IOException

      Throws:
        `IOException`